# Makefile for C interface directory
#
# cdev C interface directory
#
# Makefile,v
# Revision 1.4  1998/08/17  14:04:44  akers
# Added 'Minor Version Number' to TARGETDIR in Makefiles
#
# Revision 1.3  1996/06/26  15:54:05  akers
# Modifications to support multiple OS Versions
#
# Revision 1.2  1996/05/14  20:37:59  akers
# Makefile modifications
#
# Revision 1.1  1995/12/14  19:06:24  chen
# Makefile for C interface
#
# 
#
include ../Makefile.config


ifeq ($(SHOBJ),YES)
	OBJTYPE=.shobj/$(TARGETDIR)
else
	OBJTYPE=.obj/$(TARGETDIR)
endif

ifeq ($(INCDIR), )
	INCDIR = ../..
endif

OBJS = $(OBJTYPE)/cdev.o

targets: $(OBJTYPE) $(OBJDIR)/$(OBJTYPE) copyobjs copyincs

$(OBJTYPE) :
	@mkdir -p $(OBJTYPE)

$(OBJDIR)/$(OBJTYPE) :
	@mkdir -p $(OBJDIR)/$(OBJTYPE)
			
copyobjs: $(OBJS)
	@cp -f $(OBJS) $(OBJDIR)/$(OBJTYPE)

copyincs:
	@cp -f *.h $(INCDIR)

clean: clean_hail
	@rm -rf *.o .obj .shobj core *~ 	
